<?php
include("db.php");
$requestData = $_REQUEST;
$columns = array(
    0 => 'name_pro',
);

$sql = "SELECT * ";
$sql .= " FROM  `pro` left join `cat` on `cat`.`id_cat` = `pro`.`id_cat` where `pro`.`active_pro` = '0' and `pro`.`id_user` = '$idPublicUser'";
$query = mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "SELECT * ";
$sql .= " FROM  `pro` left join `cat` on `cat`.`id_cat` = `pro`.`id_cat` where `pro`.`active_pro` = '0' and `pro`.`id_user` = '$idPublicUser'";
if (!empty($requestData['search']['value'])) {
    $sql .= " AND ( price_pro LIKE '" . $requestData['search']['value'] . "%'  ";
    $sql .= " OR  name_cat LIKE '" . $requestData['search']['value'] . "%'  ";
    $sql .= " OR  name_pro LIKE '" . $requestData['search']['value'] . "%' ) ";
}
$query = mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query);
$sql .= " ORDER BY " . $columns[$requestData['order'][0]['column']] . "   " . $requestData['order'][0]['dir'] . "  LIMIT " . $requestData['start'] . " ," . $requestData['length'] . "   ";
$query = mysqli_query($db, $sql);
$data = array();
while ($row = mysqli_fetch_array($query)) {
    $nestedData = array();


    $nestedData[] = $row["name_pro"];
    $nestedData[] = $row["name_cat"];
    $nestedData[] = $row["count_pro"];
    $nestedData[] = $row["price_pro"];
    $nestedData[] = "<button type='button' class='btn btn-danger' onclick=main.deleteData('pro','" . $row['id_pro'] . "')>حذف</button>
	<button type='button' class='btn btn-success' onclick='pages.getPro(" . $row['id_pro'] . ")'>تعديل</button>
	<button type='button' class='btn btn-success' onclick='pages.addStockPro(" . $row['id_pro'] . ")'>ادخال كمية جديدة</button>
	<button type='button' class='btn btn-success' onclick='pages.outStockPro(" . $row['id_pro'] . ")'>بيع المنتج</button>
";

    $data[] = $nestedData;
}



$json_data = array(
    "draw" => intval($requestData['draw']),
    "recordsTotal" => intval($totalData),
    "recordsFiltered" => intval($totalFiltered),
    "data" => $data
);

echo json_encode($json_data);

?>